Name:    quassel
Summary: QT4 Based distrubuted IRC system
Version: 0.2.0
Release: 0.3.beta1%{?dist}

License: GPLv2 or GPLv3
Group:	 Applications/Internet
URL:     http://quassel-irc.org/
Source0: http://quassel-irc.org/system/files/quassel-%{version}-beta1.tar.bz2
Source1: %{name}.desktop
Source2: %{name}core.desktop
Source3: %{name}client.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: qt-sqlite
BuildRequires: qt-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils

%description
Quassel IRC is a modern, distributed IRC client, 
meaning that one (or multiple) client(s) can attach 
to and detach from a central core -- 
much like the popular combination of screen and a 
text-based IRC client such as WeeChat, but graphical

%package core
Summary: Quassel core component
Group: Applications/Internet
%description core
The Quassel IRC Core maintains a connection with the 
server, and allows for multiple clients to connect

%package client
Summary: Quassel client
Group: Applications/Internet
%description client
Quassel client 

%prep
%setup -q -n quassel-0.2.0-beta1

%build

cd build
%{_qt4_qmake}
make 

%install
rm -rf %{buildroot}
cd build/targets
install -d -m755 %{buildroot}%{_bindir}
install -m755 quassel %{buildroot}%{_bindir}
install -m755 quasselclient %{buildroot}%{_bindir}
install -m755 quasselcore %{buildroot}%{_bindir}

desktop-file-install --vendor="fedora" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
desktop-file-install --vendor="fedora" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}
desktop-file-install --vendor="fedora" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quassel
%doc COPYING gpl-2.0.txt gpl-3.0.txt README
%{_datadir}/applications/fedora-quassel.desktop

%files core
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quasselcore
%doc COPYING gpl-2.0.txt gpl-3.0.txt README
%{_datadir}/applications/fedora-quasselcore.desktop

%files client
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/quasselclient
%doc COPYING gpl-2.0.txt gpl-3.0.txt README
%{_datadir}/applications/fedora-quasselclient.desktop

%changelog

* Wed Jul 02 2008 Steven Parrish <smparrish@shallowcreek.net> - 0.3.beta1
- Final spec for initial release to F9 and rawhide

* Tue Jun 24 2008 Steven Parrish <smparrish[at]shallowcreek.net>
- Revised spec file based on comments from package reviewer. 

* Mon Jun 23 2008 Steven Parrish <smparrish[at]shallowcreek.net>
- initial RPM
